List cloud provider resources
GET
/v1/cloudproviderresource/
const url = 'https://example.com/v1/cloudproviderresource/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/cloudproviderresource/ \ --header 'Authorization: Bearer <token>'Return all cloud provider resources for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
monitor_enabled
boolean
monitored
boolean
monitored_by_tag
boolean
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
agent
required
string format: uuid
cloud_provider_integration
required
string format: uuid
display_name
required
string
region
required
string
resource_type
required
0- Resource listing1- AWS EC22- AWS RDS3- AWS ELB4- AWS S35- AWS DynamoDB6- AWS Trusted Advisor7- AWS Lambda100- AWS Account101- Azure VM102- Azure sql103- Azure Cosmos DB104- Azure Load Balancer105- Azure Blob Storage106- Azure Account Advisor107- Azure Application Function108- Azure Account
integer
monitor_enabled
boolean
monitored_by_tag
required
boolean
cloud_created_at
required
string format: date-time
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "resource_type": 0 } ]}